Holger's Java API

## com.antelmann.ooffice
Enum OfficeUtils.TargetFrame

    java.lang.Object
      java.lang.Enum<OfficeUtils.TargetFrame>
          com.antelmann.ooffice.OfficeUtils.TargetFrame

All Implemented Interfaces:
  Serializable, Comparable<OfficeUtils.TargetFrame>

Enclosing class:
  OfficeUtils

    public static enum OfficeUtils.TargetFrame

extends Enum<OfficeUtils.TargetFrame>

Enum Constant Summary
`_beamer`
`_blank`
`_default`
`_parent`
`_self`
`_target`
`_top`

Method Summary
`static OfficeUtils.TargetFrame` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OfficeUtils.TargetFrame[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _blank

    public static final OfficeUtils.TargetFrame _blank

### _target

    public static final OfficeUtils.TargetFrame _target

### _default

    public static final OfficeUtils.TargetFrame _default

### _self

    public static final OfficeUtils.TargetFrame _self

### _parent

    public static final OfficeUtils.TargetFrame _parent

### _top

    public static final OfficeUtils.TargetFrame _top

### _beamer

    public static final OfficeUtils.TargetFrame _beamer

Method Detail

### values

    public static OfficeUtils.TargetFrame[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OfficeUtils.TargetFrame c : OfficeUtils.TargetFrame.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OfficeUtils.TargetFrame valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads